<div class="value-options" {{did-update this.resetValue @value}} {{on "mouseover" (fn this.setMouseOver true)}} {{on "mouseout" (fn this.setMouseOver false)}} ...attributes>
  {{#if (and this.hasOptions (or this.areOptionsVisible this.hasValues))}}
    {{#if this.areOptionsVisible}}
      <button type="button" class="btn btn-link btn-hide float-end pt-2 pb-0" {{on "click" this.hideOptions}}>
        {{t "hide options"}}
      </button>
    {{else}}
      <button type="button" class="btn btn-link btn-change float-end pt-2 pb-0" {{on "click" this.showOptions}}>
        {{t "change"}}
      </button>
    {{/if}}
  {{/if}}

  {{#if this.hasValues}}
    <div class="name-list p-2 ps-3">
      {{this.stringValue}}
    </div>
  {{/if}}

  {{#if (and this.hasOptions (not this.hasValues))}}
    {{#if this.areOptionsVisible}}
      <div class="name-list p-2 ps-3 capitalize-first-letter">
        {{t this.selectMessage}}
      </div>
    {{else}}
      <button type="button" class="btn btn-link btn-add p-2 ps-3" {{on "click" this.showOptions}}>
        {{capitalize (t this.selectMessage)}}
      </button>
    {{/if}}
  {{/if}}

  {{#if (and (not this.hasOptions) (not this.hasValues))}}
    <div class="name-list p-2 ps-3 capitalize-first-letter">
      {{t this.emptyMessage}}
    </div>
  {{/if}}

  {{#if this.areOptionsVisible}}
    <ul class="list-group list-group-flush">
      {{#each this.optionsList as |option|}}
        <button
          autofocus
          type="button"
          class="list-group-item list-group-item-action {{if option.selected 'active' 'not-active'}}"
          {{did-insert this.focusOption}}
          {{on "blur" this.blurOption}}
          {{on "click" (fn this.select option)}}
        >
          {{option.name}}
        </button>
      {{/each}}
    </ul>
  {{/if}}
</div>